<?php 

/**
 *      【橙创家校通v4.0】 (C)2010-2012 Tuntron Inc.
 *      
 *    	 http://www.tuntron.com   QQ：1121251729
 *
 *      &基类文件&
 */

if (!defined('IS_RUN')) die('Forbidden');

class tj_base {

    var $errmsg = '';
    var $timestamp = 0;
    var $loader = null;
    var $global = null;
    var $in_admin = false;
    var $in_ajax = false;
    var $in_js = false;

    function __construct() {
        global $_G;
        $this->global =& $_G; //应用全局变量
        $this->timestamp = $_G['timestamp']; //当前时间
        $this->in_admin = defined('IN_ADMIN');
        $this->in_ajax = isset($_G['in_ajax']) && $_G['in_ajax'];
        $this->in_js = isset($_G['in_js']) && $_G['in_js'];
    }

    function tj_base() {
        $this->__construct();
    }

}




?>